Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007891TestLinkTest Plan - Add/Remove Test Casespublic2017-03-20 16:082017-03-22 07:07
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007891: Display Testcase Status in Add/remove Testcase page
DescriptionAdd/Remove testcases shows for each testcase the importance according to the selected version.

To avoid using not mature testcases ("draft" or "review in progress"), displaying the status of each testcase is needed.

The information should be updated according to the selected testcase version
Additional InformationPR : https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/89 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon testlink_draft.PNG [^] (11,252 bytes) 2017-03-21 12:46


png file icon testlink_R_F_R.PNG [^] (8,650 bytes) 2017-03-21 12:47


png file icon testlink_R_I_P.PNG [^] (9,475 bytes) 2017-03-21 12:47


png file icon testlink_rework.PNG [^] (9,266 bytes) 2017-03-21 12:48


png file icon testlink_final.PNG [^] (8,855 bytes) 2017-03-21 12:49


png file icon testlink_O_F.png [^] (18,097 bytes) 2017-03-21 12:49

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026143)
fman (administrator)
2017-03-20 16:17

If I'm not wrong a feature already exists tha EXCLUDE test case with a status in a certain domain, for being displayed on ADD/REMOVE TEST CASE feature.
would you mind to check?
If this is true, this implementation can be considered not as useful as can seem.
(0026144)
Mr.Bricodage (updater)
2017-03-20 20:36
edited on: 2017-03-20 20:38

Your first think was to use "hideTestCaseWithStatusIn" config option to exclude "Draft" and "Review in progress" testcases, but the use case is a bit different here.

- "Obsolete" testcases should be hidden, because they won't be used anymore (related requirement is obsolete too)
- "Draft" testcases shouldn't be hidden, because the testplan content could be wrong if the leader doesn't see that there is a problem with the testcase status during testplan content definition (the requirement must be fully tested). In a 1000+ testcases tree, hard to see that 1 or 2 "Draft" testcases are missing if they are hidden. Filter can be an option, but filters applies only to the last version of a testcase. We need to access status of each version.

==> Your idea is to dynamically display status for each version of a testcase, and then display a warning message near from testcase status when the status is listed in a new config option that could be named "warningTestCaseWithStatusIn". We plan to provide PR for this new option in another issue very soon.

(0026145)
fman (administrator)
2017-03-20 20:39

Please consider a very very simple implementation, IMHO best is to provide this info in the combo box with test case version, is the cleanest way.
In addition request PR only when things have been fully tested to avoid commit that are only revert (as I've seen today).
(0026147)
Mr.Bricodage (updater)
2017-03-20 20:51

Implementation is inspired from testcase importance management to be coherent.
I will forward your note about revert in github history to dev team.

Regards
(0026148)
fman (administrator)
2017-03-20 21:31
edited on: 2017-03-20 21:37

>> Implementation is inspired from testcase importance management to be coherent.
Coerence is not important, what is important that performance impact will be low.

It's not clear for me what feature are you talking about, would you mind to add a screenshot of current feature?



It would be great also to have some screenshot before be able to analize if PR will be accepted or rejected.

(0026149)
fman (administrator)
2017-03-20 21:35

Please when implementing this has to remain as is:


Test cases with Latest Version with status with one of these values (Obsolete,Future) will not be displayed in this screen
(0026155)
Mr.Bricodage (updater)
2017-03-21 12:53

Here is an example of an attachment.

You can see that versions 5 and 6 are not visible because they are in "obsolete" and "future" state.
(0026157)
fman (administrator)
2017-03-21 21:59

Code reviewed

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/cf9b877b6a5230b265a9bd391f809ff879a6dd5b [^]
(0026161)
Mr.Bricodage (updater)
2017-03-22 06:32

Just tested : works great, thanks!

Regards

- Issue History
Date Modified Username Field Change
2017-03-20 16:08 Mr.Bricodage New Issue
2017-03-20 16:16 fman QA Team - Task Workflow Status => TBD
2017-03-20 16:16 fman Description Updated View Revisions
2017-03-20 16:17 fman Note Added: 0026143
2017-03-20 16:18 fman Status new => feedback
2017-03-20 20:36 Mr.Bricodage Note Added: 0026144
2017-03-20 20:36 Mr.Bricodage Status feedback => new
2017-03-20 20:37 Mr.Bricodage Note Edited: 0026144 View Revisions
2017-03-20 20:38 Mr.Bricodage Note Edited: 0026144 View Revisions
2017-03-20 20:39 fman Note Added: 0026145
2017-03-20 20:45 fman Status new => feedback
2017-03-20 20:51 Mr.Bricodage Note Added: 0026147
2017-03-20 20:51 Mr.Bricodage Status feedback => new
2017-03-20 21:31 fman Note Added: 0026148
2017-03-20 21:35 fman Note Added: 0026149
2017-03-20 21:37 fman Note Edited: 0026148 View Revisions
2017-03-21 12:46 Mr.Bricodage File Added: testlink_draft.PNG
2017-03-21 12:47 Mr.Bricodage File Added: testlink_R_F_R.PNG
2017-03-21 12:47 Mr.Bricodage File Added: testlink_R_I_P.PNG
2017-03-21 12:48 Mr.Bricodage File Added: testlink_rework.PNG
2017-03-21 12:49 Mr.Bricodage File Added: testlink_final.PNG
2017-03-21 12:49 Mr.Bricodage File Added: testlink_O_F.png
2017-03-21 12:53 Mr.Bricodage Note Added: 0026155
2017-03-21 21:59 fman Note Added: 0026157
2017-03-21 21:59 fman Assigned To => fman
2017-03-21 21:59 fman Status new => feedback
2017-03-21 22:00 fman Relationship added child of 0007817
2017-03-22 06:32 Mr.Bricodage Note Added: 0026161
2017-03-22 06:32 Mr.Bricodage Status feedback => assigned
2017-03-22 07:07 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-03-22 07:07 fman Status assigned => resolved
2017-03-22 07:07 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-22 07:07 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker